Skip to main content
Server path: /launchdarkly-insights | Type: Application | PCID required: Yes

Tools

ToolDescription
launchdarkly_insights_associate_repositories_and_projectsAssociate repositories with projects
launchdarkly_insights_create_deployment_eventCreate deployment event
launchdarkly_insights_create_insight_groupCreate insight group
launchdarkly_insights_delete_branchesDelete branches
launchdarkly_insights_delete_insight_groupDelete insight group
launchdarkly_insights_delete_repositoryDelete repository
launchdarkly_insights_delete_repository_projectRemove repository project association
launchdarkly_insights_get_branchGet branch
launchdarkly_insights_get_branchesList branches
launchdarkly_insights_get_caller_identityIdentify the caller
launchdarkly_insights_get_deploymentGet deployment
launchdarkly_insights_get_deployment_frequency_chartGet deployment frequency chart data
launchdarkly_insights_get_deploymentsList deployments
launchdarkly_insights_get_extinctionsList extinctions
launchdarkly_insights_get_flag_eventsList flag events
launchdarkly_insights_get_flag_status_chartGet flag status chart data
launchdarkly_insights_get_insight_groupGet insight group
launchdarkly_insights_get_insight_groupsList insight groups
launchdarkly_insights_get_ipsGets the public IP list
launchdarkly_insights_get_lead_time_chartGet lead time chart data
launchdarkly_insights_get_openapi_specGets the OpenAPI spec in json
launchdarkly_insights_get_pull_requestsList pull requests
launchdarkly_insights_get_release_frequency_chartGet release frequency chart data
launchdarkly_insights_get_repositoriesList repositories
launchdarkly_insights_get_repositories_2List repositories
launchdarkly_insights_get_repositoryGet repository
launchdarkly_insights_get_rootRoot resource
launchdarkly_insights_get_root_statisticGet links to code reference repositories for each project
launchdarkly_insights_get_scoresGet insight scores
launchdarkly_insights_get_stale_flags_chartGet stale flags chart data
launchdarkly_insights_get_statisticsGet code references statistics for flags
launchdarkly_insights_get_versionsGet version information
launchdarkly_insights_patch_insight_groupPatch insight group
launchdarkly_insights_patch_repositoryUpdate repository
launchdarkly_insights_post_extinctionCreate extinction
launchdarkly_insights_post_repositoryCreate repository
launchdarkly_insights_put_branchUpsert branch
launchdarkly_insights_update_deploymentUpdate deployment

launchdarkly_insights_associate_repositories_and_projects

Associate repositories with projects Parameters:
ParameterTypeRequiredDefaultDescription
mappingsobject[]YesThe mappings value

launchdarkly_insights_create_deployment_event

Create deployment event Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeystringYesThe application key. This defines the granularity at which you want to view your insights metrics. Typically it is the name of one of the GitHub repositories that you use in this project.<br/><br/>LaunchDarkly automatically creates a new application each time you send a unique application key.
applicationKindstringNoThe kind of application. Default: <code>server</code>
applicationNamestringNoThe application name. This defines how the application is displayed
deploymentMetadataobjectNoA JSON object containing metadata about the deployment
environmentKeystringYesThe environment key
eventMetadataobjectNoA JSON object containing metadata about the event
eventTimeintegerNoEvent Time
eventTypestringYesThe event type
projectKeystringYesThe project key
versionstringYesThe application version. You can set the application version to any string that includes only letters, numbers, periods (<code>.</code>), hyphens (<code>-</code>), or underscores (<code>_</code>).<br/><br/>We recommend setting the application version to at least the first seven characters of the SHA or to the tag of the GitHub commit for this deployment.
versionNamestringNoThe version name. This defines how the version is displayed

launchdarkly_insights_create_insight_group

Create insight group Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeysstring[]NoThe application keys to associate with the insight group. If not provided, the insight group will include data from all applications.
environmentKeystringYesThe environmentKey to be associated with the insight group
keystringYesThe key of the insight group
namestringYesThe name of the insight group
projectKeystringYesThe projectKey to be associated with the insight group

launchdarkly_insights_delete_branches

Delete branches Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name to delete branches for.
bodystring[]YesRequest body

launchdarkly_insights_delete_insight_group

Delete insight group Parameters:
ParameterTypeRequiredDefaultDescription
insightGroupKeystringYesThe insight group key

launchdarkly_insights_delete_repository

Delete repository Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name

launchdarkly_insights_delete_repository_project

Remove repository project association Parameters:
ParameterTypeRequiredDefaultDescription
repositoryKeystringYesThe repository key
projectKeystringYesThe project key

launchdarkly_insights_get_branch

Get branch Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name
branchstringYesThe url-encoded branch name
projKeystringNoFilter results to a specific project
flagKeystringNoFilter results to a specific flag key

launchdarkly_insights_get_branches

List branches Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name

launchdarkly_insights_get_caller_identity

Identify the caller

launchdarkly_insights_get_deployment

Get deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIDstringYesThe deployment ID
expandstringNoExpand properties in response. Options: pullRequests, flagReferences

launchdarkly_insights_get_deployment_frequency_chart

Get deployment frequency chart data Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringNoThe project key
environmentKeystringNoThe environment key
applicationKeystringNoComma separated list of application keys
fromstringNoUnix timestamp in milliseconds. Default value is 7 days ago.
tostringNoUnix timestamp in milliseconds. Default value is now.
bucketTypestringNoSpecify type of bucket. Options: rolling, hour, day. Default: rolling.
bucketMsintegerNoDuration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).
groupBystringNoOptions: application, kind
expandstringNoOptions: metrics

launchdarkly_insights_get_deployments

List deployments Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
applicationKeystringNoComma separated list of application keys
limitintegerNoThe number of deployments to return. Default is 20. Maximum allowed is 100.
expandstringNoExpand properties in response. Options: pullRequests, flagReferences
fromintegerNoUnix timestamp in milliseconds. Default value is 7 days ago.
tointegerNoUnix timestamp in milliseconds. Default value is now.
afterstringNoIdentifier used for pagination
beforestringNoIdentifier used for pagination
kindstringNoThe deployment kind
statusstringNoThe deployment status

launchdarkly_insights_get_extinctions

List extinctions Parameters:
ParameterTypeRequiredDefaultDescription
repoNamestringNoFilter results to a specific repository
branchNamestringNoFilter results to a specific branch. By default, only the default branch will be queried for extinctions.
projKeystringNoFilter results to a specific project
flagKeystringNoFilter results to a specific flag key
fromintegerNoFilter results to a specific timeframe based on commit time, expressed as a Unix epoch time in milliseconds. Must be used with to.
tointegerNoFilter results to a specific timeframe based on commit time, expressed as a Unix epoch time in milliseconds. Must be used with from.

launchdarkly_insights_get_flag_events

List flag events Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
applicationKeystringNoComma separated list of application keys
querystringNoFilter events by flag key
impactSizestringNoFilter events by impact size. A small impact created a less than 20% change in the proportion of end users receiving one or more flag variations. A medium impact created between a 20%-80% change. A large impact created a more than 80% change. Options: none, small, medium, large
hasExperimentsbooleanNoFilter events to those associated with an experiment (true) or without an experiment (false)
globalstringNoFilter to include or exclude global events. Default value is include. Options: include, exclude
expandstringNoExpand properties in response. Options: experiments
limitintegerNoThe number of deployments to return. Default is 20. Maximum allowed is 100.
fromintegerNoUnix timestamp in milliseconds. Default value is 7 days ago.
tointegerNoUnix timestamp in milliseconds. Default value is now.
afterstringNoIdentifier used for pagination
beforestringNoIdentifier used for pagination

launchdarkly_insights_get_flag_status_chart

Get flag status chart data Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
applicationKeystringNoComma separated list of application keys

launchdarkly_insights_get_insight_group

Get insight group Parameters:
ParameterTypeRequiredDefaultDescription
insightGroupKeystringYesThe insight group key
expandstringNoOptions: scores, environment

launchdarkly_insights_get_insight_groups

List insight groups Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoThe number of insight groups to return. Default is 20. Must be between 1 and 20 inclusive.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sortstringNoSort flag list by field. Prefix field with <code>-</code> to sort in descending order. Allowed fields: name
querystringNoFilter list of insights groups by name.
expandstringNoOptions: scores, environment, metadata

launchdarkly_insights_get_ips

Gets the public IP list

launchdarkly_insights_get_lead_time_chart

Get lead time chart data Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringNoThe environment key
applicationKeystringNoComma separated list of application keys
fromintegerNoUnix timestamp in milliseconds. Default value is 7 days ago.
tointegerNoUnix timestamp in milliseconds. Default value is now.
bucketTypestringNoSpecify type of bucket. Options: rolling, hour, day. Default: rolling.
bucketMsintegerNoDuration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).
groupBystringNoOptions: application, stage. Default: stage.
expandstringNoOptions: metrics, percentiles.

launchdarkly_insights_get_openapi_spec

Gets the OpenAPI spec in json

launchdarkly_insights_get_pull_requests

List pull requests Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringNoRequired if you are using the <code>sort</code> parameter’s <code>leadTime</code> option to sort pull requests.
applicationKeystringNoFilter the results to pull requests deployed to a comma separated list of applications
statusstringNoFilter results to pull requests with the given status. Options: open, merged, closed, deployed.
querystringNoFilter list of pull requests by title or author
limitintegerNoThe number of pull requests to return. Default is 20. Maximum allowed is 100.
expandstringNoExpand properties in response. Options: deployments, flagReferences, leadTime.
sortstringNoSort results. Requires the environmentKey to be set. Options: leadTime (asc) and -leadTime (desc). When query option is excluded, default sort is by created or merged date.
fromstringNoUnix timestamp in milliseconds. Default value is 7 days ago.
tostringNoUnix timestamp in milliseconds. Default value is now.
afterstringNoIdentifier used for pagination
beforestringNoIdentifier used for pagination

launchdarkly_insights_get_release_frequency_chart

Get release frequency chart data Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
applicationKeystringNoComma separated list of application keys
hasExperimentsbooleanNoFilter events to those associated with an experiment (true) or without an experiment (false)
globalstringNoFilter to include or exclude global events. Default value is include. Options: include, exclude
groupBystringNoProperty to group results by. Options: impact
fromstringNoUnix timestamp in milliseconds. Default value is 7 days ago.
tostringNoUnix timestamp in milliseconds. Default value is now.
bucketTypestringNoSpecify type of bucket. Options: rolling, hour, day. Default: rolling.
bucketMsintegerNoDuration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).
expandstringNoOptions: metrics

launchdarkly_insights_get_repositories

List repositories Parameters:
ParameterTypeRequiredDefaultDescription
withBranchesstringNoIf set to any value, the endpoint returns repositories with associated branch data
withReferencesForDefaultBranchstringNoIf set to any value, the endpoint returns repositories with associated branch data, as well as code references for the default git branch
projKeystringNoA LaunchDarkly project key. If provided, this filters code reference results to the specified project.
flagKeystringNoIf set to any value, the endpoint returns repositories with associated branch data, as well as code references for the default git branch

launchdarkly_insights_get_repositories_2

List repositories Parameters:
ParameterTypeRequiredDefaultDescription
expandstringNoExpand properties in response. Options: projects

launchdarkly_insights_get_repository

Get repository Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name

launchdarkly_insights_get_root

Root resource

launchdarkly_insights_get_root_statistic

Get links to code reference repositories for each project

launchdarkly_insights_get_scores

Get insight scores Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
applicationKeystringNoComma separated list of application keys

launchdarkly_insights_get_stale_flags_chart

Get stale flags chart data Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
applicationKeystringNoComma separated list of application keys
groupBystringNoProperty to group results by. Options: maintainer
maintainerIdstringNoComma-separated list of individual maintainers to filter results.
maintainerTeamKeystringNoComma-separated list of team maintainer keys to filter results.
expandstringNoOptions: metrics

launchdarkly_insights_get_statistics

Get code references statistics for flags Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringNoFilter results to a specific flag key

launchdarkly_insights_get_versions

Get version information

launchdarkly_insights_patch_insight_group

Patch insight group Parameters:
ParameterTypeRequiredDefaultDescription
insightGroupKeystringYesThe insight group key
bodyobject[]YesRequest body

launchdarkly_insights_patch_repository

Update repository Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name
bodyobject[]YesRequest body

launchdarkly_insights_post_extinction

Create extinction Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name
branchstringYesThe URL-encoded branch name
bodyobject[]YesRequest body

launchdarkly_insights_post_repository

Create repository Parameters:
ParameterTypeRequiredDefaultDescription
commitUrlTemplatestringNoA template for constructing a valid URL to view the commit
defaultBranchstringNoThe repository’s default branch. If not specified, the default value is <code>main</code>.
hunkUrlTemplatestringNoA template for constructing a valid URL to view the hunk
namestringYesThe repository name
sourceLinkstringNoA URL to access the repository
typestringNoThe type of repository. If not specified, the default value is <code>custom</code>.

launchdarkly_insights_put_branch

Upsert branch Parameters:
ParameterTypeRequiredDefaultDescription
repostringYesThe repository name
branchstringYesThe URL-encoded branch name
commitTimeintegerNoCommit Time
headstringYesAn ID representing the branch HEAD. For example, a commit SHA.
namestringYesThe branch name
referencesobject[]NoAn array of flag references found on the branch
syncTimeintegerYesSync Time
updateSequenceIdintegerNoAn optional ID used to prevent older data from overwriting newer data. If no sequence ID is included, the newly submitted data will always be saved.

launchdarkly_insights_update_deployment

Update deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIDstringYesThe deployment ID
bodyobject[]YesRequest body